Name:		mmseq
Version:	0.9.18
Release:	14%{?dist}
Summary:	Haplotype and isoform specific expression estimation for RNA-seq

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.bgx.org.uk/software/mmseq.html
Source0:	http://www.bgx.org.uk/software/%{name}_%{version}.zip
Patch0:		mmseq-sam-header.patch
#Patch1:		mmseq-flags.patch
Patch2:		mmseq-zlib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	samtools-devel
BuildRequires:	gsl-devel
BuildRequires:	zlib-devel

Requires:	ruby
Requires:	samtools
Requires:	perl

%description
Software for fast, scalable haplotype and isoform expression
estimation using multi-mapping RNA-seq reads.  Example scripts are included.

%prep
%setup -q -n %{name}_%{version}
#Look for samtools headers in the correct location for Fedora
%patch0 -p1 -b .mmseq-sam-header.patch
#Use Fedora compilation headers
#%%patch1 -p1 -b .mmseq-flags.patch
#Fix zlib linking
%patch2 -p1 -b .mmseq-zlib.patch

#Remove bundled binaries
rm bam2hits*-x86_64
rm mmseq*-x86_64

%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}"


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 bam2hits %{buildroot}%{_bindir}
install -p -m 0755 mmseq %{buildroot}%{_bindir}
install -p -m 0755 *.sh %{buildroot}%{_bindir}
install -p -m 0755 *.rb %{buildroot}%{_bindir}
install -p -m 0755 ensembl_gtf_to_gff.pl %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/bam2hits
%{_bindir}/mmseq
%{_bindir}/fastagrep.sh
#%%{_bindir}/pileup.sh
%{_bindir}/routeB.sh
%{_bindir}/filterGTF.rb
#%%{_bindir}/get_isize.rb
%{_bindir}/haploref.rb
%{_bindir}/testregexp.rb
%{_bindir}/ensembl_gtf_to_gff.pl


%changelog
* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.9.18-14
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.9.18-11
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.9.18-10
- rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.9.18-8
- Rebuild for boost 1.54.0

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.9.18-7
- Perl 5.18 rebuild

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.9.18-6
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.9.18-5
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 0.9.18-4
- Rebuild for new boost

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-2
- Rebuilt for c++ ABI breakage

* Wed Jan 11 2012 Adam Huffman <verdurin@fedoraproject.org> - 0.9.18-1
- update to 0.9.18
- remove pileup.sh and get_isize.rb, discarded upstream
- update patches and remove flags patch

* Sun Nov 20 2011 Adam Huffman <adam@vaioz.verdurin.salon> - 0.9.14-2
- rebuild for new Boost in Rawhide

* Fri Oct  7 2011 Adam Huffman <bloch@verdurin.com> - 0.9.14-1
- new upstream bugfix release 

* Wed Aug 17 2011 Adam Huffman <bloch@verdurin.com> - 0.9.12-1
- upstream release 0.9.12 fixing a possible segfault

* Thu Jul 21 2011 Adam Huffman <bloch@verdurin.com> - 0.9.11-2
- rebuild for new Boost in Rawhide

* Sat May 28 2011 Adam Huffman <bloch@verdurin.com> - 0.9.11-1
- new upstream release
- add routeB.sh script
- sam2hits.rb removed

* Fri May 27 2011 Adam Huffman <bloch@verdurin.com> - 0.9.10b-3
- patch to deal with zlib better

* Sun May 15 2011 Adam Huffman <bloch@verdurin.com> - 0.9.10b-2
- remove bundled binaries
- remove VERSION
- explicit naming for included scripts

* Sun May  8 2011 Adam Huffman <bloch@verdurin.com> - 0.9.10b-1
- new upstream version
- patch descriptions

* Sun May  8 2011 Adam Huffman <bloch@verdurin.com> - 0.9.9-3
- fix permissions for installed files
- include missing Perl script
- improve description

* Sat Apr  9 2011 Adam Huffman <bloch@verdurin.com> - 0.9.9-2
- fix compilation flags for debuginfo
- include shell and Ruby scripts

* Mon Apr  4 2011 Adam Huffman <bloch@verdurin.com> - 0.9.9-1
- initial version

